/* Tämä on CommonJS-tyyppinen Node-moduuli.
 *
 * Funktiot jotka on tarkoitettu näkyviksi moduulin ulkopuolella
 * on määritelty exports -määreellä.
 *
 * test_currency.js -tiedeosto jossa moduulia käytetään,
 * näkee vain kaksi metodia joiden edessä on exports -määre.
 *
 * const exchange -muuttuja ja roundTwoDecimals -funktio eivät näy moduulin
 * ulkopuolelle.
 *
 */

const exchange = 0.91; //kovakoodattu valuuttakerroin euro vs dollari

function roundTwoDecimals(amount) {
  return Math.round(amount * 100) / 100;
}
//exportattava metodi
exports.euroToUS = function (euro) {
  return roundTwoDecimals(exchange * euro); //palauttaa dollareina
};
//exportattava metodi
exports.usToEuro = function (us) {
  return roundTwoDecimals(us / exchange); //palauttaa euroina
};
