/* Tässä CommonJS -moduulissa exportataan kokonainen konstruktorifunktio 
 * eli Currency. Konstruktorifunktio on luokkaa vastaava rakenne.
 *
 * Koko konstruktorifunktio voidaan exportata module.exports -olioon sijoittamalla
 *
 * Kaikki metodit ovat siis saatavilla test_currency2.js:ssä
 * jossa tätä modulia käytetään
 *
 * test_currency2.js:ssä modulista pitää luoda olio ja sitten
 * käytetään olion metodeja
 */

const Currency = function (exchange) {
    this.exchange = exchange;
};
//Metodit liitetään konstruktorifunktion prototyyppiin.
Currency.prototype.roundTwoDecimals = function (amount) {
    return Math.round(amount * 100) / 100;
};
Currency.prototype.euroToUS = function (euro) {
    return this.roundTwoDecimals(euro * this.exchange);
};
Currency.prototype.usToEuro = function (us) {
    return this.roundTwoDecimals(us / this.exchange);
};
//exportataan koko moduuli yhdessä konstruktorifunktiossa
module.exports = Currency;
